org.eclipse.jgit.revplot

## Class PlotLane

- java.lang.Object
- - org.eclipse.jgit.revplot.PlotLane

All Implemented Interfaces:
  Serializable

    public class PlotLane
    extends Object
    implements Serializable

A line space within the graph.

Commits are strung onto a lane. For many UIs a lane represents a column.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlotLane()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getPosition()` Logical location of this lane within the graphing plane.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlotLane

    public PlotLane()

### Method Detail

#### getPosition

    public int getPosition()

Logical location of this lane within the graphing plane.

Returns:
  location of this lane, 0 through the maximum number of lanes.